browsers compatibility

I relize that WebStorm can mark css or JavaScript for errors. how I can setting for which browser validator compatibility for?
And by defualt is compatibility with Chrome? IE?

4 comments
Comment actions Permalink

I'd say that WebStorm can't validate your code against this or that browser. For HTML validation, you can try 'Quirks mode' inspection (Settings/Editor/Inspections/HTML). But it's a bit outdated

0
Comment actions Permalink

So according what version of JavaScript and CSS the IDE work, when give error or when it open suggest lookup?

0
Comment actions Permalink

WebStorm supports CSS3; HTML version can be chosen in Settings/Languages & Frameworks/Schemas and DTDs/Default XML Schemas, Default HTML language level. JavaScript version - in Settings/Languages & Frameworks/JavaScript, JavaScript language version

0
Comment actions Permalink

Use Chrome and No Problem ;)

-2

Please sign in to leave a comment.